---
# author:
# - Orestis Malaspinas
title: Exercice de rappel
autoSectionLabels: true
autoEqnLabels: false
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: article
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
urlcolor: blue
---
\newcommand{\real}{\mathbb{R}}
\newcommand{\vectwo}[2]{\begin{pmatrix}#1 \\ #2 \end{pmatrix}}
\newcommand{\vecthree}[3]{\begin{pmatrix}#1 \\ #2 \\ #3 \end{pmatrix}}
\newcommand{\mat}[1]{\underline{\underline{#1}}}
\newcommand{\mattwo}[4]{\begin{pmatrix}
								#1 & #2 \\
								#3 & #4
						\end{pmatrix}}

Série d'exercices {#fourier .unnumbered}
=================

Exercice (Étude de fonction) #

Effectuer l’étude de fonction de la fonction suivante
$$f(x)=\frac{x^2-2x+1}{x^2-4}.$$

1. Déterminer le domaine de définition de cette fonction.

2. Déterminer la parité de la fonction. Rappel: $$\begin{aligned}
      f(-x)&=f(x),\ \mbox{paire},\\
      f(-x)&=-f(x),\ \mbox{impaire}.
     \end{aligned}$$

3. Trouver les zéros de la fonction (Indication: trouver les $x$ tels
    que $f(x)=0$).

4. Déterminer les domaines où la fonction est positive, négative, nulle ou indéfinie.

5. Trouver les éventuelles asymptotes verticales ou disconsinuités,
    ainsi que les asymptotes affines (comportement quand $x\rightarrow\infty$).

6. Caluler $f'(x)$ et déterminer sa croissance et points critiques
    (déterminer où la fonction est croissante, décroissante, atteint un
    extremum, etc).

7. Déterminer les domaines où la dérivée est positive, négative, nulle ou indéfinie.

8. Faire un croquis de $f(x)$.

